#include <ESPMegaPRO_OOP.hpp>

// Instantiate ESPMega
ESPMegaPRO espmega = ESPMegaPRO();

void setup()
{
  // Initialize ESPMega
  espmega.begin();
  Serial.println("ESPMega initialized");
}

void loop()
{
  // Read all the inputs and print them
  for (int i = 0; i < 16; i++)
  {
    Serial.print("Input ");
    Serial.print(i);
    Serial.print(": ");
    Serial.print(espmega.inputs.digitalRead(i));
    Serial.println();
  }
  // Turn on all the outputs
  for (int i = 0; i < 16; i++)
  {
    espmega.outputs.digitalWrite(i, true);
  }
  // Wait 1 second
  delay(1000);
  // Turn off all the outputs
  for (int i = 0; i < 16; i++)
  {
    espmega.outputs.digitalWrite(i, false);
  }
  // Wait 1 second
  delay(1000);
}